For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact UsDashboard
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • GETList catalog entries
      • POSTCreate a catalog entry
      • GETRetrieve a catalog entry
      • PATCHUpdate a catalog entry
      • GETList catalog allowances
      • POSTCreate a catalog allowance
      • PATCHUpdate a catalog allowance
      • GETList catalog variances
      • POSTBulk create/update catalog entries (async)
      • POSTBulk create/update catalog allowances (async)
      • POSTBulk create catalog prices (async)
      • GETGet invoice items for a catalog entry
      • GETList exported catalog variance batches
      • POSTExport a catalog variance batch (local only)
      • GETList catalog prices
      • POSTCreate a catalog price
LogoLogo
Contact UsDashboard
API ReferenceCatalog

Get invoice items for a catalog entry

GET
/catalog/variances/:id/invoice-items
GET
/v1/catalog/variances/:id/invoice-items
$curl -G https://api.ottimate.com/v1/catalog/variances/racc_90832490382904802384/invoice-items \
> -H "X-Api-Key: your-api-key-here" \
> -H "X-API-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -d page=1 \
> -d limit=20
1{
2 "count": 5,
3 "results": [
4 {
5 "id": 98765,
6 "invoice_id": 54321,
7 "item_name": "Roma Tomatoes 6CT",
8 "price": 27.5,
9 "quantity": 10,
10 "invoice_date": "2024-12-01",
11 "price_variance": 2.51,
12 "effective_price": 24.99
13 },
14 {
15 "id": 98760,
16 "invoice_id": 54310,
17 "item_name": "Roma Tomatoes 6CT",
18 "price": 26.99,
19 "quantity": 12,
20 "invoice_date": "2024-11-15",
21 "price_variance": 2,
22 "effective_price": 24.99
23 }
24 ]
25}

Returns paginated invoice items with price variances for a specific catalog entry. Use this endpoint when the expand=invoice_items response indicates has_more=true.

Was this page helpful?
Previous

List exported catalog variance batches

Next
Built with

Authentication

AuthorizationBearer
OAuth2 authentication flows. Auth server URLs will vary by environment

Path parameters

idstringRequired
The catalog entry ID

Headers

X-Api-KeystringRequired
API key for authentication
X-API-VersionenumOptional

API version to use (optional, defaults to latest)

Allowed values:

Query parameters

pageintegerOptional
Page number
limitintegerOptional

Items per page (default: 20)

Response

Successful response with paginated invoice items
countinteger
Total number of invoice items
resultslist of objects
versionstring
API version
pageinteger
Current page number
limitinteger
Items per page

Errors

404
Not Found Error